Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Synaptics Touchpad Driver Xorg
Name:		xorg-x11-drv-synaptics
Version:	1.3.0
Release:	3
Group:		User Interface/X Hardware Support
License:	GNU/GPL
Source:		xf86-input-synaptics-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686

BuildRequires:	xorg-x11-server-sdk pixman-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXtst-devel

%description
This is a driver for the Synaptics TouchPad for XOrg/XFree86 4.x. A
Synaptics touchpad by default operates in compatibility mode by
emulating a standard mouse. However, by using a dedicated driver, more
advance features of the touchpad becomes available, such as:

- Movement with adjustable, non-linear acceleration and speed.
- Button events through short touching of the touchpad.
- Double-Button events through double short touching of the touchpad.
- Dragging through short touching and holding down the finger on the
  touchpad.
- Middle and right button events on the upper and lower corner of
  the touchpad.
- Vertical scrolling (button four and five events) through moving
  the finger on the right side of the touchpad.
- The up/down button sends button four/five events.
- Horizontal scrolling (button six and seven events) through moving
  the finger on the lower side of the touchpad.
- The multi-buttons send button four/five events, and six/seven
  events for horizontal scrolling.
- Adjustable finger detection.
- Multifinger taps: two finger for middle button and three finger
  for right button events. (Needs hardware support. Not all models
  implement this feature.)
- Run-time configuration using shared memory. This means you can
  change parameter settings without restarting the X server.

Note that depending on the touchpad firmware, some of these features
might be available even without using the synaptics driver. Note also
that some functions are not available on all touchpad models, because
they need support from the touchpad hardware/firmware. (Multifinger
taps for example.)

%prep
%setup -n xf86-input-synaptics-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc INSTALL README 
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_includedir}/xorg/synaptics.h
%{_includedir}/xorg/synaptics-properties.h
%{_pkgconfig}/xorg-synaptics.pc
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.1.gz
%{_mandir}/man1/syndaemon.1.gz
%{_mandir}/man4/synaptics.4.gz
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf

%changelog
* Thu Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-3
- rebuilt against xorg-x11-server 1.9.3
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- rebuilt 
* Thu Oct 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version Update
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.901-1
- Version Update
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.1-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.1-1
- Version update - x.org 1.6.1.901
* Tue Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.15.2-2
- rebuilt, updated dependencies
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.15.2-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.15.0-1
- Version update
* Fri Nov 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.14.6-4
- altered group
* Fri Sep 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-1
- Initial Build, based on Xdriver-input-synaptics
